diff --git a/locale/LINGUAS b/locale/LINGUAS
index 94a70ac..8dd7b7e 100644
--- a/locale/LINGUAS
+++ b/locale/LINGUAS
@@ -11,6 +11,7 @@ cy
 da
 de
 el
+en_GB
 es
 eu
 fa
diff --git a/src/Languages.cpp b/src/Languages.cpp
index 94a70ac..8dd7b7e 100644
--- a/src/Languages.cpp
+++ b/src/Languages.cpp
@@ -116,7 +116,8 @@
    localLanguageName[wxT("da")] = wxT("Dansk");
    localLanguageName[wxT("de")] = wxT("Deutsch");
    localLanguageName[wxT("el")] = wxT("Ellinika");
-   localLanguageName[wxT("en")] = wxT("English");
+   localLanguageName[wxT("en")] = wxT("US English");
+   localLanguageName[wxT("en_GB")] = wxT("British English");
    localLanguageName[wxT("es")] = wxT("Espanol");
    localLanguageName[wxT("eu")] = wxT("Euskara");
    localLanguageName[wxT("fa")] = wxT("Farsi");
